Support » Theme: Pilot Fish » WP_widget constructor method is obsolete since v 4.3

  • Hello,

    Since upgrading to WordPress 4.3, there is an error message saying
    “WP_widget constructor method is obsolete since v 4.3”
    which seems to be caused by class pilotfish_Vcard_Widget in /includes/widgets.php

    Any chance you might fix this? (now at version 0.4.1)

    Many thanks!

Viewing 1 replies (of 1 total)
  • Hello again,

    after some searching on the internet, it turns out this is easy to fix:

    in the file wp-contents/themes/pilot-fish/includes/widgets.php
    on line 72
    change
    $this->WP_Widget
    into
    parent::__construct

    so it reads:
    parent::__construct('widget_pilotfish_vcard', __('pilotfish: vCard', 'pilotfish'), $widget_ops);

Viewing 1 replies (of 1 total)
  • The topic ‘WP_widget constructor method is obsolete since v 4.3’ is closed to new replies.